package org.etsi.ttcn.tool.elvior.codec;

import org.etsi.ttcn.tci.Type;

public class LibItsIicp_asn1 extends LibIts_asn1 {
    
    /**
     * Constructor
     */
    public LibItsIicp_asn1() {
        _encodingName = "CALMiitsscu";
    }
    
    protected Type getTypeForName(final String type) { 
        
        String type_ = type;
        if (type.endsWith("msg_req")) {
            type_ = String.format("%s.%s", _encodingName, "IIC_Request");
        } else if (type.endsWith("msg_resp")) {
            type_ = String.format("%s.%s", _encodingName, "IIC_Response");
        } else  if (type.endsWith("mcmdRq")) {
            type_ = String.format("%s.%s", _encodingName, "McmdRq");
        }
        
        Type asnOriginalType = super.getTypeForName(type_);
        
        return asnOriginalType;
    } // End of method getTypeForName
    
} // End of class LibItsIicp_asn1 
